Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 131458

Summary: Cannot emerge "sys-cluster/csync2-1.30" - installed in ${D}/${D}
Product: Gentoo Linux Reporter: Aaron Randall <aaron.randall>
Component: New packagesAssignee: Gentoo Cluster Team <cluster>
Status: VERIFIED INVALID    
Severity: normal CC: mark-gentoo
Priority: High    
Version: unspecified   
Hardware: x86   
OS: Linux   
Whiteboard:
Package list:
Runtime testing required: ---
Attachments: ebuild patch, remove redundant prefix
log of failed build

Description Aaron Randall 2006-04-27 07:54:29 UTC
Attempting to "emerge csync2", and see the following message:

>>> Completed installing csync2-1.30 into /var/tmp/portage/csync2-1.30/image/

man:
gzipping man page: csync2.1
strip: i686-pc-linux-gnu-strip --strip-unneeded
   /usr/sbin/csync2
QA Notice: // installed in ${D}/${D}
QA Notice: //var installed in ${D}/${D}
QA Notice: //var/lib installed in ${D}/${D}
QA Notice: //var/lib/csync2 installed in ${D}/${D}

!!! ERROR: sys-cluster/csync2-1.30 failed.
Call stack:
  misc-functions.sh, line 412:   Called install_qa_check
  misc-functions.sh, line 183:   Called die

!!! Aborting due to QA concerns: 4 files installed in /var/tmp/portage/csync2-1.30/image///var/tmp/portage/csync2-1.30/image/
!!! If you need support, post the topmost build error, and the call stack if relevant.

!!! install_qa_check failed; exiting.


Here is my "emerge --info":

Portage 2.1_pre9-r4 (default-linux/x86/2005.1, gcc-3.3.6, glibc-2.3.4.20041102-r1, 2.6.12-gentoo-r9 i686)
=================================================================
System uname: 2.6.12-gentoo-r9 i686 Intel(R) Pentium(R) M processor 1.80GHz
Gentoo Base System version 1.12.0_pre8
dev-lang/python:     2.3.5, 2.4.2
sys-apps/sandbox:    1.2.13
sys-devel/autoconf:  2.13, 2.59-r7
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r1
sys-devel/binutils:  2.16.1
sys-devel/libtool:   1.5.20
virtual/os-headers:  2.6.11-r2
ACCEPT_KEYWORDS="x86 ~x86"
AUTOCLEAN="yes"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-march=i686 -O3 -pipe"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/2/share/config /usr/kde/3.4/env /usr/kde/3.4/share/config /usr/kde/3.4/shutdown /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/kde/3/share/config /usr/lib/X11/xkb /usr/lib/mozilla/defaults/pref /usr/share/config /var/qmail/control"
CONFIG_PROTECT_MASK="/etc/eselect/compiler /etc/gconf /etc/terminfo /etc/env.d"
CXXFLAGS="-march=i686 -O3 -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="autoconfig distlocks metadata-transfer sandbox sfperms strict"
GENTOO_MIRRORS="ftp://mirrors.blueyonder.co.uk/mirrors/gentoo"
PKGDIR="/usr/portage/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage"
SYNC="rsync://rsync.uk.gentoo.org/gentoo-portage"
USE="x86 X alsa apm arts avi berkdb bitmap-fonts cli crypt cups dri dvd eds emboss encode foomaticdb fortran gdbm gif gnome gpm gstreamer gtk gtk2 idea imap imlib ipv6 isdnlog java jpeg kde libg++ libwww mad maildir mikmod motif mozilla mp3 mpeg ncurses nls odbc ogg oggvorbis opengl oss pam pcre pdflib perl php png pnp pppd python qt quicktime readline reflection sasl sdl session spell spl ssl tcpd truetype truetype-fonts type1-fonts vorbis xml2 xmms xorg xv zlib elibc_glibc kernel_linux userland_GNU"
Unset:  ASFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LANG, LC_ALL, LDFLAGS, LINGUAS, MAKEOPTS
Comment 1 Christian Zoffoli (RETIRED) gentoo-dev 2006-05-20 06:25:43 UTC
csync2-1.30 works as expected.

try emerging a stable portage and then re-emerge csync2.
Comment 2 Mark Glines 2006-06-12 07:36:59 UTC
This needs to be re(In reply to comment #1)
> csync2-1.30 works as expected.
> 
> try emerging a stable portage and then re-emerge csync2.

This ebuild has been failing on the portage-2.1 pre-releases for a long time now.  Now that portage-2.1 is marked stable on x86, this package needs to be fixed.  Can you please reopen this bug?
Comment 3 Mark Glines 2006-06-12 07:40:21 UTC
Created attachment 88978 [details, diff]
ebuild patch, remove redundant prefix

The csync2 Makefiles *already* prepend $DESTDIR to the installation path; that's what DESTDIR is for.  The ebuild was prepending it a second time when passing the $localstatedir and $sysconfdir variables.

(I'm not sure what the defaults for $localstatedir and $sysconfdir are; its possible that they don't need to be passed at all.)
Comment 4 Mark Glines 2006-06-12 07:42:26 UTC
Created attachment 88979 [details]
log of failed build

Here's what it looks like when csync2-1.32 fails to build.

Mark
Comment 5 Christian Zoffoli (RETIRED) gentoo-dev 2006-06-12 12:04:03 UTC
You are right, fixed in CVS.
Thanks